<template>
    <div class="conteiner-houses">
            <div class="conteiner-house">
            <div class="house">
                {{cart_data.name}}
                 <div>{{cart_data.price}}$</div>
            </div>
            <div class="multiply"> X</div>
             <input type="number" class="product_quantity"  v-bind:value="cart_data.quantity"> 
               <div class="house_total">
            <input type="text" placeholder="Promocode" v-model="promocode" >
            <p>Total: {{cart_data.price}}$</p>
            
        </div>
             </div>
                         
        </div>
</template>

<script>
export default {
     data(){
        return{
            promocode:'',
            total:''
     
}      
        
    },
   props:{
       cart_data:{
           type: Object,
           default() {
               return {}
           }
       }  
    },
    computed:{
    //   cartTotalCost(){
    //    let result= [] 
    //     for (let item of this.cart_data)   {
    //         result.push(item.price * item.quantity)
    //     }
    //     result.reduce(function(acc, item){
    //         return acc + item
    //     })
    //     return result
    //   } 
    },
    methods:{
        increment(){
            (this.cart_data.price + this.cart_data.price); 
        }
    },
    mounted() {
        this.$set(this.cart_data, 'quantity',1)
    }
    
}
</script>

<style scoped>
.conteiner-houses{
   
  display:flex;
 
 
} 
.conteiner-house{
    display: flex;
    margin-left:20px ;
}

.house {
    
    width: 150px;
    height: 70px; 
     border: none
    
}



.conteiner-houses button{
   border-top: none;
   width: 177px;  
   height: 50px;
   border: 1px solid green;   
   font-size: 23px;
   background-color: #d5e8d4 ;
   cursor: pointer;

}

.conteiner-conditions{
    margin-top: 30px;
    margin-left: 20px;
    border: 2px solid black;
    width: 97%;
    text-align: center;
}
.conteiner-conditions p:last-child{
    font-size: 11px;
    padding: 6px 6px 6px 6px;
}
.product_quantity{
    width: 180px;
    height: 50px;
    margin-left: 110px;
    border: 1px solid black;
}
.multiply{
    font-size: 25px;
    font-weight: bold;
    margin-left: 106px;
    margin-top: 15px;

}
.house_total {
    margin-top: 89px;
    display: inline-flex;
    margin-left: -399px;
}
.house_total input{
    width: 180px;
    height: 50px;
    /* margin-left: 291px; */
    border: 1px solid black;
}
.house_total p{
    font-size: 25px;
    margin-left: 115px;    
}

@media (max-width: 420px) {

    .conteiner-house{
        display: flex;
         flex-wrap: wrap;
    }
}
::placeholder{
    text-align: center;
    font-size: 20px;
}
</style>